Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Interface Values

All Known Subinterfaces:
  KeyedValues, KeyedValuesDataset, PieDataset

All Known Implementing Classes:
  CategoryToPieDataset, DefaultKeyedValues, DefaultKeyedValuesDataset, DefaultPieDataset, JDBCPieDataset

    public interface Values

An interface through which (single-dimension) data values can be accessed.

Method Summary
`int` | `getItemCount()` Returns the number of items (values) in the collection.
`java.lang.Number` | `getValue(int index)` Returns the value with the specified index.

Method Detail

### getItemCount

    int getItemCount()

  Returns the number of items (values) in the collection.

  Returns:
    The item count (possibly zero).

### getValue

    java.lang.Number getValue(int index)

  Returns the value with the specified index.

  Parameters:
    `index` - the item index (in the range `0` to `getItemCount() - 1`).
  Returns:
    The value (possibly `null`).
  Throws:
    `java.lang.IndexOutOfBoundsException` - if `index` is not in the specified range.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD